# UIListLayout

UIListLayout : `UIGridStyleLayout`

## Overview

A layout that can be used to automatically place sibling UI elements either horizontally or vertically within the area of their parent UI. The direction of placement is determined by the FillDirection setting; it is used when UIs need to be sorted out in the form of a list.

UIListLayout can be controlled only in **client environment**.

## Properties

### Padding

`UDim`

Defines the spacing among UI elements.

The spacing can be specified as Scale, where spacing is automatically adjusted in proportion to the size of parent container, or Offset, where spacing is always fixed.

#### Code Samples

```lua
local ScreenGui = script.Parent
local Frame = ScreenGui:WaitForChild("Frame")
local UIListLayout = Frame:WaitForChild("UIListLayout")

UIListLayout.Padding = UDim.new(0, 20)
```

### Wraps

`boolean`

Specifies whether to break line when the listed elements within their parent UI area exceed the available space of the container.

For example, if the sum of the width of horizontally placed elements exceeds their parent’s width, elements are placed on the next line; if height exceeds in vertical placement, elements are placed in the next column.

#### Code Samples

```lua
local ScreenGui = script.Parent
local Frame = ScreenGui:WaitForChild("Frame")
local UIListLayout = Frame:WaitForChild("UIListLayout")

UIListLayout.Wraps = true
```

## Methods

## Events

## See also


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/uilistlayout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
